<div class="columns">
  <div class="column">
    <div class="heading">
      <h1 class="title">Bilder</h1>
    </div>
  </div>
</div>
<div class="columns">
  <div class="column">
    <div class="is-grouped">
      <label for="image" class="button">Bild zum Hochladen auswählen</label>
      <input type="file"
             nv-file-select uploader="vm.uploader"
             class="inputfile"
             name="image"
             id="image"/><br /><br />
      <ul class="">
        <li ng-repeat="item in vm.uploader.queue" class="">
          Name: <span ng-bind="item.file.name"></span><br /><br />
          <button ng-click="item.upload()"
                  class="button is-primary">Hochladen</button>
          <button ng-click="item.remove()"
                  class="button is-default">Abbrechen</button>
        </li>
      </ul>
    </div>
  </div>
</div>

<div class="columns">
  <div class="column">
    <div class="">
      <table class="table">
        <thead>
          <tr>
            <th>ID</th>
            <th>Name</th>
            <th>Hochgeladen am</th>
            <th>Typ</th>
            <th>Pfad</th>
            <th>Aktionen</th>
          </tr>
        </thead>
        <tbody>
          <tr ng-repeat="file in vm.images | orderBy:'':true track by $index">
            <td>{{file.id}}</td>
            <td><a href="{{vm.imageApi + file.id}}"
                   target="_blank">{{file.name}}</a></td>
            <td>{{file.uploadedAt | date: 'short'}}</td>
            <td>{{file.type}}</td>
            <td>{{file.path}}</td>
            <td>
              <div class="control is-grouped" role="group" aria-label="aktionen">
                <!--<button type="button" 
                    class="btn btn-sm btn-default"
                    ng-click="vm.editFile($index, file)">
                  <span class="glyphicon glyphicon-pencil" aria-hidden="true"></span>
                </button>-->
                <button type="button"
                    class="button is-small is-danger"
                    ng-click="vm.remove($index, file);">
                  <i class="fa fa-times" aria-hidden="true"></i>
                </button>
              </div>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</div>